[FFe] Update to latest upstream version

Bug #1562406 reported by Clive Johnston on 2016-03-26
60
This bug affects 12 people
Affects Status Importance Assigned to Milestone
muon (Ubuntu)
Critical
Unassigned
qapt (Ubuntu)
Critical
Unassigned

Bug Description

Muon has undergone major changes upstream and has been split into separate applications. As a result Muon Package Manager was forgotten about. The current version in the archive fails to install due to a dependency on libmoun which is no longer built by the upstream application.

The current upstream Muon requires an updated libqapt and a recent git snapshot of Muon to work correctly again.

closes bug #1536519 (Muon can not be installed after upgrade to Plasma 5.5.3)

Changed in muon (Ubuntu):
assignee: nobody → Clive Johnston (clivejo)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in muon (Ubuntu):
status: New → Confirmed
Marcin Sągol (soee) wrote :

With the build made by Clive i am able to install and run Muon on Xenial. It doesn't crash now when checking for updates, installing packages etc. Many people asked for Muon and they would like to see it in this LTS release.

+1 for this request.

How about the nofifier?

Rik Mills (rikmills) wrote :

+1

A decent native _package manager_ rather than a software centre for kubuntu is a must.

@Flames_in_Paradise - I believe that muon-updater is being withdrawn and replacement updater is now packaged in a new plasma-discover package, which will be in the Plasma release 5.5.4 or hopefully the soon to be uploaded 5.5.5.

http://packages.ubuntu.com/xenial/plasma-discover-updater

This FFE is regarding the Muon Package Manager, source-code available here - https://quickgit.kde.org/?p=muon.git

The version I propose to go into Xenial is in my PPA - https://launchpad.net/~clivejo/+archive/ubuntu/xenial if you install it manually please note that the latest Muon PM needs an updated libqapt, otherwise it crashes on refreshing the packages.

Nikola Snele (n-schnelle) wrote :

I can confirm that muon from Clive's ppa works great.

I've also just installed Muon from Clive's PPA, and it works like a charm. Downloads updates and installs them without a hitch.

Rick Timmis (rick-timmis) wrote :

I have stepped forward to provide bug fix maintenance on the upstream package. Muon PM is such a useful tool for developers and power users, and is a perfect compliment to the Software Centre.

I would very much welcome this coming as part of the 16.04 Kubuntu install

Changed in muon (Ubuntu):
assignee: Clive Johnston (clivejo) → nobody
Alex10336 (ap10336) wrote :

With xenial:

$ LANG=EN sudo apt install muon
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 muon : Depends: libmuon (= 4:5.4.3-0ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

description: updated
tags: added: xenial
Iain Lane (laney) wrote :

If the Kubuntu team wants it, and is willing to take the risk on this late, +1 from me.

Changed in qapt (Ubuntu):
status: New → Confirmed
Changed in muon (Ubuntu):
importance: Undecided → Critical
Changed in qapt (Ubuntu):
importance: Undecided → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muon - 4:5.6.0-0ubuntu1

---------------
muon (4:5.6.0-0ubuntu1) xenial; urgency=medium

  * New upstream release 5.6.0 (Closes LP: #1562406)

 -- Clive Johnston <email address hidden> Sat, 26 Mar 2016 20:50:44 +0000

Changed in muon (Ubuntu):
status: Confirmed → Fix Released
Changed in qapt (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers